Bug 176919 - [PATCH] graphics/tiff: OptionsNG, Port is now safe with NOPORTDOCS=yes, options DOCS X11
Summary: [PATCH] graphics/tiff: OptionsNG, Port is now safe with NOPORTDOCS=yes, optio...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-13 16:10 UTC by nemysis
Modified: 2013-04-22 21:10 UTC (History)
1 user (show)

See Also:


Attachments
tiff-4.0.3_1.patch (5.10 KB, patch)
2013-03-13 16:10 UTC, nemysis
no flags Details | Diff
tiff.diff (10.75 KB, patch)
2013-03-16 14:45 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-13 16:10:01 UTC
Makefile changed:

Port is now safe with NOPORTDOCS=yes in /etc/make.conf
+OPTIONS_DEFINE=	DOCS X11
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	PORTDOCS=""
+.else
+PLIST_SUB+=	PORTDOCS="@comment "
+.endif

+PORTDOCS=	ChangeLog README TODO
+.include <bsd.port.options.mk>

+post-patch:
+	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = $$(prefix)/libdata/pkgconfig|' \
+		${WRKSRC}/Makefile.in
+.if ! ${PORT_OPTIONS:MDOCS}
+	${REINPLACE_CMD} -e 's|^docfiles|no-docfiles|' \
+		${WRKSRC}/Makefile.in
+.endif

Changed and refined:
 pre-configure:
 post-install:
 files/patch-Makefile.in
 pkg-descr
 pkg-plist

Port maintainer (dinoex@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks usual.

/usr/ports/graphics/tiff/ > portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
FATAL: Makefile: extra item "LIB_DEPENDS" placed in the LICENSE section.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LICENSE" has to appear earlier.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
1 fatal error and 4 warnings found.

port test: clean
Comment 1 Edwin Groothuis freebsd_committer 2013-03-13 16:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 nemysis 2013-03-16 14:45:44 UTC
+PORTDOCS=      *

+.for f in ChangeLog README TODO
+        @(cd ${WRKSRC} && ${INSTALL_DATA} ${f} ${DOCSDIR})
+.endfor

Changed and refined:
pkg-plist <-- clean, not more PORTDOCS
Comment 3 Dirk Meyer freebsd_committer 2013-03-26 06:24:07 UTC
State Changed
From-To: open->analyzed


too many changes at once. 
Regression with my tests. 

will fix some of the problems.
Comment 4 dfilter service freebsd_committer 2013-04-22 21:05:05 UTC
Author: dinoex
Date: Mon Apr 22 20:04:57 2013
New Revision: 316270
URL: http://svnweb.freebsd.org/changeset/ports/316270

Log:
  - make portlint happier
  PR:		176919

Modified:
  head/graphics/tiff/Makefile

Modified: head/graphics/tiff/Makefile
==============================================================================
--- head/graphics/tiff/Makefile	Mon Apr 22 19:36:24 2013	(r316269)
+++ head/graphics/tiff/Makefile	Mon Apr 22 20:04:57 2013	(r316270)
@@ -10,12 +10,12 @@ MASTER_SITES=	ftp://ftp.remotesensing.or
 MAINTAINER=	dinoex@FreeBSD.org
 COMMENT=	Tools and library routines for working with TIFF images
 
-LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
-		jbig:${PORTSDIR}/graphics/jbigkit
-
 LICENSE=	BSD
 LICENSE_FILE=	${WRKSRC}/COPYRIGHT
 
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
+		jbig:${PORTSDIR}/graphics/jbigkit
+
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool
 CONFIGURE_ARGS+=	--with-jpeg-include-dir=${LOCALBASE}/include \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2013-04-22 21:05:47 UTC
State Changed
From-To: analyzed->closed



- options stuff has regressions. 
- I don't like PORTSDOC *